Bug 19231 - vncviewer (under X) shows password in the clear
Summary: vncviewer (under X) shows password in the clear
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact:
URL:
Whiteboard:
Keywords: Security
: 38968 42870 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-17 05:46 UTC by Jon Benson
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-05 09:15:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Here's my patch. (764 bytes, patch)
2000-10-18 16:03 UTC, Tim Waugh
no flags Details | Diff

Description Jon Benson 2000-10-17 05:46:54 UTC
When using vncviewer (under X) as provided by the vnc-3.3.3r1-9 package and
connecting to a server the password is shown as it is being typed in.

This does not occur from the command line version of the application and
did not occur with a binary I had been using.

NOTE: This is intentionally lodged under a bogus component as bugzilla
wouldn't allow me to enter it under "vnc" and vnc does not appear in the
selection list.

Comment 1 Bernhard Rosenkraenzer 2000-10-17 08:47:05 UTC
The vnc component is still in powertools despite the fact that vnc was moved to
the distribution...
Assigning to powertools/vnc and killing the bugzilla admin. ;)

Comment 2 Tim Waugh 2000-10-17 09:15:27 UTC
(for the component issue, see bug #19136)

I can reproduce this.

Comment 3 Tim Waugh 2000-10-17 21:57:44 UTC
I'm pretty sure this is an Xaw bug.

Comment 4 Tim Waugh 2000-10-18 16:02:37 UTC
I've hacked Xaw so that it gives the same behaviour as it used to.  But I don't
know much about programming for X, so someone should look at it and replace the
duct tape with a proper fix.

Comment 5 Tim Waugh 2000-10-18 16:03:05 UTC
Created attachment 4347 [details]
Here's my patch.

Comment 6 Tim Waugh 2001-04-05 09:15:36 UTC
Xaw3d doesn't have this problem, incidentally.  I guess a hacky work-around 
for VNC would be to just get vncviewer to use Xaw3d instead of Xaw. :-(


Comment 7 Mike A. Harris 2001-04-16 07:05:40 UTC
Patch added to XFree86-4.0.3-9

Comment 8 Tim Waugh 2001-05-03 21:52:17 UTC
*** Bug 38968 has been marked as a duplicate of this bug. ***

Comment 9 Tim Waugh 2001-05-30 13:54:12 UTC
*** Bug 42870 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.